1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice

Updater is updating NOTHING

Discussion in 'Plesk for Linux - 8.x and Older' started by quat.net, Feb 4, 2005.

  1. quat.net

    quat.net Guest

    0
     
    Performing an update to 7.5.2 from 7.5.1 the
    updater is doing something for a while (8-10 min.)
    at the end nothing is updated.

    I get this initial mail, but not this finishing mail.

    Via SSH and TOP is see the autoinstaller is doing
    something, but it disapears after a while.

    I made a reboot before and after the update.
    Nothing happend. Plesk is still 7.5.1 !

    Maybe I can start the update with SSH
    to get some more informations what is going wrong.
    but I don´t know how to do...

    There a to many users on my servers for testing
    around with it. Now I will go to install a test server.

    :confused:

    Frank Jacob
    Quat.Net GmbH
    www.Quat.Net - Internet for business
     
  2. mac0310

    mac0310 Guest

    0
     
    Me too...

    The same thing has happened to me. Does anyone know what is going on? I am now concerned that there is a problem and forcing an update may jeopardize my server. Why do we always run into problems when SW-Soft releases updates? Isn't this supposed to fix problems and not create more?
     
  3. NightStorm

    NightStorm Guest

    0
     
    When you check /tmp/psa_7.5.2_RedHat_el3_build75050130.17_upgrade.log, what does it tell you? (the exact filename may be slightly different, but the basic idea of the filename is there).
    To start a manual upgrade through SSH (where you can actually see what is happening, as it happens) is:

    wget http://download1.sw-soft.com/Plesk/Plesk7.5/RedHatEL3.0/psa_installer_v2.0.0_build75041129.17_os_RedHat_el3_i686
    chmod 755 psa_installer_v2.0.0_build75041129.17_os_RedHat_el3_i686
    ./psa_installer_v2.0.0_build75041129.17_os_RedHat_el3_i686

    Note that the above instructions are for the build that *I* have... you will have to log into the sw-soft download area and locate your build's download link and replace as necessary.
    To use the auto-installer, you do not want the 100+MB rpm.tar.gz file, but the 1.6mb file. This one will only download what it needs, and will walk you through the upgrade process.
     
  4. thundercon787

    thundercon787 Guest

    0
     
    same **** here, failed dependancies in the software... check your /tmp autoinstaller.log to see where it scrrewed up.. it looks like it was trying to update the kernal and hung... i'm getting sick of these plesk updates and no one from plesk wants to help etc...

    grrrrrr

    bastards...

    -Mike
     
  5. NightStorm

    NightStorm Guest

    0
     
    One of the optional modules requires a kernal upgrade/patch... you should be able to find a bunch on it here on the forum. I think it was the virutal directory sharing, but I can't remember 100% on it (I won't install any of the modules anyway, so I haven't seen the warning).
     
  6. thundercon787

    thundercon787 Guest

    0
     
    in my log file this is what it is showing...

    Update failed on the installation of qt-devel RPMs:
    *************************************
    ----- begin of output -----
    Installing qt-3.3.3-0.1.i386.rpm
    Installing qt-devel-3.3.3-0.1.i386.rpm
    warning: /root/psa/PSA_7.5.2/FC2_std.updates/qt-3.3.3-0.1.i386.rpm: V3 DSA signature: NOKEY, key ID 4f2a6fd2
    error: Failed dependencies:
    libjpeg-devel is needed by qt-devel-3.3.3-0.1
    libmng-devel is needed by qt-devel-3.3.3-0.1
    libpng-devel is needed by qt-devel-3.3.3-0.1
    *************************************

    I do not know how to fix or patch this.. and plesk wants to charge me support for their ****ed up product... I say we should boycot their services.. thisi s the 3rd ****ed up upgrade I have delt with.. I can't make money if i keep spending it on their bullshit...

    GRRRRRRRRRRRRRRRRRRRRRRRRRR
    I sick of this...

    -Mike
     
  7. NightStorm

    NightStorm Guest

    0
     
    Find your build of the required lib files from rpmfind.net, and install them.
    It's likely that you don't have the dependancies installed that qt-devel needs... and it's getting a bit extreme to expect sw-soft to offer each dependancy for each file for each piece that their control panel uses... the server administrator is expected to be able to install some things on their own.
    Or else the Plesk install file would be the same size as a full OS iso... personally, I'd rather do a little leg work on my own, than have to download a 600+MB file from sw-soft, then hope that THEY are offering the most up-to-date version of everything.
     
  8. quat.net

    quat.net Guest

    0
     
    still not working ....

    I checked the autoinstaller.log

    the autoinstaller:

    1) starts some downloads from the autoinstall.plesk.com....
    2) checks a lot of packages
    3) some downloads again
    4) something checking again
    5) Retrieving standard packages
    6) Retrieving Plesk files

    log ends here... nothing happens anymore...
    absolute NO errors in the Log
    absolute NOTHING has installed

    And the message in the panel that there is a 7.5.2 update to install... :( "very funny" :( :(

    any ideas how to get some more information what´s going wrong ?

    Frank
     
  9. NightStorm

    NightStorm Guest

    0
     
    Something just jumped out at me.
    One of the first things that Plesk will do on the autoinstall is check your license.
    Do you have the port open so that Plesk can chat with the sw-soft server to verify the license?
    Also, when you run the autoinstaller, are you reading what it's doing as it goes along, or just depending on the log file? Sometimes it will echo an error into the SSH panel, which migh drop a hint at what's wrong (easier than trying to scan through a log file listing several hundred lines of gibberish).
     
  10. quat.net

    quat.net Guest

    0
     
    -> Something just jumped out at me.
    me too.

    -> Checking license
    IPtables is stopped ... It works fine for the older updates
    There is no other firewall installed or running outside the box.
    The Plesk firewall is NOT installed.

    -> are you reading what it's doing as it goes along
    there are NO ERRORs, NOT in the SSH panel and NOT in the Logfile...
     
  11. VovanV

    VovanV Guest

    0
     
    I have a problem too :(((
     
  12. thundercon787

    thundercon787 Guest

    0
     
    Frank,

    in the /tmp directory

    in the autoinstaller.log

    can u post me a copy of everything in it.. or email me it.. to
    (if u want to)
    mtraynor@thundercon.com

    those libs that i needed.. the failed dependencies.. some i did a find on www.rpmfind.net and then did

    rpm -i (filename) and installed them...

    I noticed after I did those innitial updates... i had to re-look at the the logfile to notice it needed more files...

    Also you might want to try updating the qt-devel

    if you happen to come across anything in the logfile.. where it is failed.. or relies on it.. try updating.. i noticed alot of users in here needed tro update this in update that so plesk would work right...

    let me know

    -Mike
     
  13. thundercon787

    thundercon787 Guest

    0
     


    have you tried manually restarting them.. or even rebooting the box?

    -mike
     
Loading...